rm(list = ls())
source('tools.R')

library(svDialogs)
library(PBSadmb)
library(ellipse)
library(MASS)
library(ggplot2)
library(reshape)

x11()
par(mfcol=c(2,2))
curve(dnorm(x, 0.1544, 0.02156), xlim=c(0.05,0.25), ylim=c(0,40),
      xlab="a", ylab="Relative probability", main="sigma=0.02", lwd=2, col="red")
curve(dnorm(x, 0.1200, 0.02000), add=T, lty=2)
curve(dnorm(x, 0.1364, 0.01433), add=T, lwd=4)

curve(dnorm(x, 0.1544, 0.02156), xlim=c(0.05,0.25), ylim=c(0,40),
      xlab="a", ylab="Relative probability", main="sigma=0.06", lwd=2, col="red")
curve(dnorm(x, 0.1200, 0.06000), add=T, lty=2)
curve(dnorm(x, 0.1505, 0.02003), add=T, lwd=4)

curve(dnorm(x, 0.1544, 0.02156), xlim=c(0.05,0.25), ylim=c(0,40),
      xlab="a", ylab="Relative probability", main="Uniform 0 to 1", lwd=5)
curve(dnorm(x, 0.1544, 0.02156), add=T, lwd=2, col="red")

curve(dnorm(x, 0.1522, 0.05522), xlim=c(0.05,0.25), ylim=c(0,40),
      xlab="a", ylab="Relative probability", main="sigma=0.02, n=30", lwd=2, col="red")
curve(dnorm(x, 0.1200, 0.02000), add=T, lty=2)
curve(dnorm(x, 0.1239, 0.01871), add=T, lwd=4)

## ---------------------------


r1 <- readList(paste('model_1','.rep', sep=''))
f1 <- read.fit('model_1')
r2 <- readList(paste('model_2','.rep', sep=''))
f2 <- read.fit('model_2')
r3 <- readList(paste('model_3','.rep', sep=''))
f3 <- read.fit('model_3')


resulta1 <- data.frame(cbind(r1$R,r1$S,r1$Rest,1))
resulta2 <- data.frame(cbind(r2$R,r2$S,r2$Rest,2))
resulta3 <- data.frame(cbind(r3$R,r3$S,r3$Rest,3))
rownames(resulta1) <-  rownames(resulta2) <-  rownames(resulta3) <- c(1967:2012)

data <- rbind(resulta1,resulta2,resulta3)

colnames(data) <- c('R','S','Rest','modelo')

p <- ggplot(data, aes(S,R)) 
p <- p + geom_point()
p <- p + geom_line(aes(S,Rest, group=modelo))

x11()
print(p)

p <- p + facet_wrap(~ modelo)
p <- p + stat_smooth(aes(S,Rest),span=4.91)
x11()
print(p)
